org.apache.xmlbeans

## Interface SchemaLocalAttribute

All Superinterfaces:
  SchemaAnnotated, SchemaField

All Known Subinterfaces:
  SchemaGlobalAttribute

All Known Implementing Classes:
  SchemaGlobalAttributeImpl, SchemaLocalAttributeImpl

    public interface SchemaLocalAttribute
    extends SchemaField, SchemaAnnotated

Represents a local or global attribute definition.

### Field Summary

Fields
`static int` `OPTIONAL` An optional attribute.
`static int` `PROHIBITED` A prohibited attribute.
`static int` `REQUIRED` A required attribute.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getUse()` Returns `PROHIBITED`, `OPTIONAL`, or `REQUIRED`.

### Methods inherited from interface org.apache.xmlbeans.SchemaField

`getDefaultText, getDefaultValue, getMaxOccurs, getMinOccurs, getName, getType, getUserData, isAttribute, isDefault, isFixed, isNillable`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Field Detail

#### PROHIBITED

    static final int PROHIBITED

A prohibited attribute. See `getUse()`.

See Also:
  Constant Field Values

#### OPTIONAL

    static final int OPTIONAL

An optional attribute. See `getUse()`.

See Also:
  Constant Field Values

#### REQUIRED

    static final int REQUIRED

A required attribute. See `getUse()`.

See Also:
  Constant Field Values

### Method Detail

#### getUse

    int getUse()

Returns `PROHIBITED`, `OPTIONAL`, or `REQUIRED`. (Actually, never returns PROHIBITED because the schema specificaion states that a prohibited attribute is equivalent to no attribute at all, so a prohibited attribute will never be present in the compiled model.)